local ADDON_NAME, LWGD = ...


local function create_options()
    LWGD.panel = CreateFrame( "Frame", "LWGDPanel", UIParent );
    LWGD.panel.name = "Ludwig Goes Down";
    InterfaceOptions_AddCategory(LWGD.panel);

    LWGD.panel.title = LWGD.panel:CreateFontString(nil,"ARTWORK","GameFontNormalLarge")
    LWGD.panel.title:SetPoint("TOPLEFT",16,-16)
    LWGD.panel.title:SetText("Ludwig Goes Down! |cff0088eev("..GetAddOnMetadata(ADDON_NAME,"Version")..")|r")

    LWGD.panel.description1 = LWGD.panel:CreateFontString(nil,"ARTWORK","GameFontHighlightSmall")
    LWGD.panel.description1:SetPoint("TOPLEFT",LWGD.panel.title,"BOTTOMLEFT",0,-2)
    LWGD.panel.description1:SetText("Addon created by <Requiem> Plaffs - Doomhammer (EU)")
    LWGD.panel.description1:SetJustifyH("LEFT")
    LWGD.panel.description1:SetWidth(592)
end

LWGD.CreateOptions = create_options